Sunday, January 15, 2012

Calling for brave testers: net-print/cups-1.5.0-r2

Maybe some of you have noticed that CUPS 1.5.0 is still hard-masked. Well, the reason for that is simple- at home, I'm nearly not printing at all, and at work, I have to rely on printing too much to tinker with it on the side a bit. So... if you would like to help, please unmask net-print/cups-1.5.0-r2 and give it a try. You will for sure find some problems, as the only thing I tested looong time ago was building it, never actually running it. Report them on, and we'll have a look... with a bit of luck, the package mask can then go away at some point. Any feedback (also positive) is appreciated. Cheers!


  1. Just tested with an HP 6940 and hpcups 3.11.12 and a Samsung ML-3312 with a home spun ebuild for the Unified Driver (Driver) (ver.3.00.82).
    Both worked just fine with the stock /etc/cups/cupsd.conf and a /etc/init.d/cupsd restart

  2. It would be nice if you could include/integrate the avahi patches (see in your 1.5 ebuilds (with a useflag to enable them). Otherwise CUPS won't do AirPrint which is a really nice feature.